Bug 143677 - Installer default se config prevents creation of user accounts
Installer default se config prevents creation of user accounts
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: setools (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-23 16:08 EST by Eray Ozkural
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-31 12:07:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eray Ozkural 2004-12-23 16:08:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
This is not really a bug with setools package. It's an installer bug
related to selinux. I'm not too familiar with red hat, so please bear
with me.

I selected the default selinux config while installing. Then,
everything finished, and I think I've created a user account after the
final steps when booting the first time. However, I can't login. There
is a homedir but no password entry. Then, I try to use useradd command
which says it cannot write to the password file.

I turn off selinux and after reboot I'm able to add a user account.

Expected: whatever I choose, the user addition stuff must work after
install.

Regards.

--
Eray


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Install FC/3, selecting selinux options (default)
2. When booting first time, enter information for a user account
3. Try to login with that account
    

Actual Results:  I couldn't login. No authentication information created.

Expected Results:  I should have been able to login.

Additional info:
Comment 1 Daniel Walsh 2005-01-03 16:01:22 EST
We are not seeing this here.  Could you attach any AVC messages that
show up in your /var/log/messages file?

Are you installing on a different type of file system?  Where is your
home directory located?

Dan

Note You need to log in before you can comment on or make changes to this bug.